Bug 368441 - All Allicance GUI programs segfaults when the help dialog is opened.
All Allicance GUI programs segfaults when the help dialog is opened.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: alliance (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On: 457469
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 11:11 EST by Trond Danielsen
Modified: 2008-09-15 05:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.0-21.20070718snap
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 05:11:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from GDB (5.82 KB, text/plain)
2007-11-06 11:11 EST, Trond Danielsen
no flags Details

  None (edit)
Description Trond Danielsen 2007-11-06 11:11:27 EST
Description of problem:
All Allicance GUI programs segfaults when the help dialog is opened. According
to the GDB backtrace, the segfault occures in the lesstif library.

Version-Release number of selected component (if applicable):
Installed Packages
Name   : alliance
Arch   : x86_64
Version: 5.0
Release: 10.20070718snap.fc8

Installed Packages
Name   : lesstif
Arch   : x86_64
Version: 0.95.0
Release: 20.fc8


How reproducible:
Every time

Steps to Reproduce:
1. Start Alliance: FSM Viewer
2. Press help->about xfsm
3. Watch FSM Viewer disappear and check dmesg to verify the segfault.
  
Actual results:


Expected results:


Additional info:
Comment 1 Trond Danielsen 2007-11-06 11:11:27 EST
Created attachment 249391 [details]
Output from GDB
Comment 2 Nicolas Chauvet (kwizart) 2007-11-06 16:05:22 EST
I haven't experienced this on F-7 x86_64 (lesstif-0.95.0-20.fc7)
Maybe another component is affected ?!...
Comment 3 Chitlesh GOORAH 2008-02-10 04:58:50 EST
Is this bug still present ?
Comment 4 Trond Danielsen 2008-02-10 05:07:39 EST
Yes.
Comment 5 Nicolas Chauvet (kwizart) 2008-02-10 05:20:39 EST
Confirmed on Fedora 8 x86_64 (not Fedora 7 x86_64 it seems)
running gdb xpat

Warning: Cannot convert string "-*-helvetica-medium-r-*--12-*" to type FontStruct

Program received signal SIGSEGV, Segmentation fault.
0x00002aaaaab39715 in _XmRenderTableFinaliseTag () from /usr/lib64/libXm.so.2

Comment 6 Chitlesh GOORAH 2008-03-21 13:45:13 EDT
can you guys request a private build on koji and try again ?

Or try the rawhide one.
Comment 7 Bug Zapper 2008-05-13 23:51:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Aanjhan Ranganathan 2008-07-28 14:38:59 EDT
Confirmed on Fedora 9. 
Program received signal SIGSEGV, Segmentation fault.
0x00002aaaaab39715 in _XmRenderTableFinaliseTag () from /usr/lib64/libXm.so.2

Note You need to log in before you can comment on or make changes to this bug.